Vai al contenuto
savat

vincoli geometrici

Recommended Posts

Ciao, vi espongo il grattacapo:

mi è stato dato un rilievo di 1000 punti c.a. (nello spazio) in formato dwg.

vorrebbero leggerlo meglio in viste prospettiche ma avrei bisogno che sia i locators che i numeri che li contraddistinguono siano sempre ben leggibili.

Importato il file in 3ds max, ho risolto con una serie di constraints e scripts per renderizzare i point helpers.

Adesso vorrei riproporre la soluzione in autocad ma non riesco a focalizzare, se esiste, una soluzione coi vincoli a disposizione.

La soluzione alla quale sono fermo è esportare da 3ds max a dwf (dato che l'export in dwg crea problemi) ma batterei per una soluzione "oggetti orientati secondo la vista direttamente in autocad".

cosa ne dite?

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

se non ho capito male, ti basta fare una etichetta (un blocco o qualcosa di simile insomma) annotativo, c'è anche la funzione per mantenere l'orientamento in base a layout

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

se non ho capito male, ti basta fare una etichetta (un blocco o qualcosa di simile insomma) annotativo, c'è anche la funzione per mantenere l'orientamento in base a layout

Concordo con gamera. Tempo fa scrissi un post sul mio blog proprio per risolvere questo problema; vedi se ti può essere di aiuto

http://ctrl-alt-cad.blogspot.it/2010/10/mantenere-i-testi-sempre-orizzontali.html

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Giusto, ma il trucco funziona solo nello spazio carta, staticamente.

Volendo invece orbitare attorno ai 1000 punti, mantenendo le etichette orientate verso l'osservatore, ho paura che l'unico programma utile sia Sketchup, ma spero di essere smentito (visto che in SU bisognerebbe inserirsi 1000 etichette a mano).

smile.gif

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Giusto, ma il trucco funziona solo nello spazio carta, staticamente.

Volendo invece orbitare attorno ai 1000 punti, mantenendo le etichette orientate verso l'osservatore, ho paura che l'unico programma utile sia Sketchup, ma spero di essere smentito

Ti smentisco ;)

AutoCAD Map 3D tiene le etichette leggibili anche in spazio modello. L'unica pecca è che servirebbe uno shapefile, non un dwg...

Condividi questo messaggio


Link al messaggio
Condividi su altri siti
AutoCAD Map 3D tiene le etichette leggibili anche in spazio modello. L'unica pecca è che servirebbe uno shapefile, non un dwg...

Provato, con Map2006 non funge, ma mi fido...

Quanto allo shapefile, nun c'e' probblema: dammi 1000 punti con rispettivi 1000 attributi e ti sollevo il mondo (comando _MAPEXPORT)

@ Savat

Converrebbe che tu allegassi qua il DWG che' la soluzione è vicina...

smile.gif

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

che dire ragazzi...io ho dovuto prendere una pausa forzata ma voi c siete andati giù d brutto con le soluzioni...grazie.

ho provato la soluzione di tristan (consiglio il blog)...semplice, lineare...ne mio caso (solo testo) risolve.

Nel caso di blocchi però (come dice GP) sarebbe interessante vedere come risolvere tramite la pipeline + asciutta:

autocad map può fare questo? ci dò un'occhiata.

@gamera: non trovo modo per attivare la modalità "annotativa" nei blocchi, nel senso che è un'opzione congelata.

Prossimamente dovrei avere a disposizione delle nuvole di punti da scanner Leika, spero di poter contare sul vostro aiuto.

grazie ancora.

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

...sarebbe interessante vedere come risolvere tramite la pipeline + asciutta:...

Ehm... devi esprimerti come faresti con tua nonna, altrimenti non capisco una mazza.

Fammi sapere se può interessare un lisp che orienta i blocchi sulla vista corrente (mantenendo il punto d'inserimento).

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Ehm... devi esprimerti come faresti con tua nonna, altrimenti non capisco una mazza.

Fammi sapere se può interessare un lisp che orienta i blocchi sulla vista corrente (mantenendo il punto d'inserimento).

intendi la pipeline + asciutta? intendevo un flusso di lavoro il + sintetico possibile x arrivare al risultato:)

il lisp potrebbe anche farmi comodo, grazie.

altro problema relativo al rilievo...come posso ricavare le aree delle superfici non complanari?

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Vedi se funge...


;; Blocchi Orientati su Vista corrente

;; Gian Paolo Cattaneo - 09/08/2012


(defun c:bov ( / ss blk i nome_blk n elenco_blk estr_old estr_new)

	(if (setq ss (ssget '((0 . "INSERT"))))

		(progn

			(repeat (setq i (sslength ss))

				(setq blk (entget (ssname ss (setq i (1- i)))))

				(setq nome_blk (cdr (assoc 2 blk)))

				(if (and

						(= (cdr (assoc 66 blk)) 1)

						(not (member nome_blk elenco_blk))

					)

					(setq elenco_blk (cons nome_blk elenco_blk))

				)

				(setq estr_old (cdr (assoc 210 blk)))

				(setq pt (cdr (assoc 10 blk)))

				(setq estr_new (trans (getvar "viewdir") 1 0 t))

				(setq blk (subst (cons 210 estr_new) (assoc 210 blk)  blk))

				(setq blk (subst (cons 10 (trans pt estr_old estr_new)) (assoc 10 blk)  blk))

				(setq blk (subst (cons 50 (- (getvar "viewtwist"))) (assoc 50 blk)  blk))

				(entmod blk)

			)

			(repeat (setq n (length elenco_blk))

				(command "_attsync" "_n" (nth (setq n (1- n)) elenco_blk))

			)

		)

	)

	(princ)

)

Per l'area

Disponi di 3Dfacce?

Ti serve l'area in piano (ingombro) o in sviluppo?

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Crea un account o accedi per commentare

Devi essere un utente per poter lasciare un commento

Crea un account

Registrati per un nuovo account nella nostra comunità. è facile!

Registra un nuovo account

Accedi

Hai già un account? Accedi qui.

Accedi ora

  • Navigazione recente   0 utenti

    Non ci sono utenti registrati da visualizzare in questa pagina.

×